Lewati ke konten utama
Hubungi kami
Nomor dan waktu telepon
Pusat Bantuan

Jelajahi sumber daya bantuan online kami

Bantuan

WordPress Terkelola Bantuan

Kami berusaha sebaik mungkin menerjemahkan halaman ini untuk Anda. Halaman juga tersedia dalam bahasa Inggris.

Menghentikan versi PHP lama

Peringatan: Sepanjang Juli 2022, kami akan menghentikan semua versi PHP di akhir masa pakai (EOL) di platform hosting Managed WordPress kami.

PHP adalah bahasa pemrograman yang didasarkan pada kode WordPress. Bahasa ini berjalan di server dan menjaganya tetap mutakhir penting untuk keamanan dan fungsionalitas situs WordPress Anda.

Pilih pertanyaan untuk melihat jawabannya:

Mengapa ini terjadi?

Versi Akhir Masa Pakai (EOL) tidak lagi didukung untuk pembaruan keamanan, sehingga berpotensi membuat situs WordPress Anda rentan. Memperbarui ke versi PHP saat ini juga dapat meningkatkan kinerja dan stabilitas untuk sebagian besar situs.

Untuk mempersiapkan hal ini, kami bersiap-siap menghentikan versi PHP berikut:

  • 5.6
  • 7.0, 7.1, 7.2, 7.3

Bagaimana saya tahu versi PHP yang saya gunakan?

Versi PHP Anda dapat dilihat di beberapa lokasi:

  • Dasbor hosting Managed WordPress: Di bawah Pengaturan > Situs Produksi > Versi PHP . Anda juga dapat memperbarui versi PHP di sini.
  • Dasbor WordPress: Pada halaman Beranda, pesan admin akan menampilkan Perlu Pembaruan PHP . Ikuti tautan untuk memperbarui versi PHP Anda.
  • Skrip info PHP: Anda dapat membuat file info PHP dan menempatkannya di direktori public_html. Ini akan menampilkan info versi PHP Anda saat file dimuat di browser Anda.

Apa yang Anda rekomendasikan untuk saya lakukan?

Jika situs Anda dijalankan dengan versi PHP EOL, sebaiknya Anda bersikap proaktif dan memperbarui situs.

Pertama, Anda harus memperbarui plugin dan tema aktif Anda . Ini adalah kemungkinan besar penyebab masalah saat memperbarui versi PHP untuk situs WordPress Anda. Anda juga harus menggunakan kesempatan ini untuk meninjau dokumentasi pengembang untuk plugin dan tema Anda guna mengetahui apakah ada masalah yang harus diperhatikan saat memperbarui versi PHP.

Paket Managed WordPress Deluxe, Ultima, dan Ecommerce kami mencakup situs pementasan sekali klik tempat Anda dapat menguji situs Anda pada versi PHP terbaru. Ini adalah tempat yang tepat untuk memecahkan masalah dan mengatasi masalah yang mungkin Anda temui tanpa mempengaruhi situs langsung Anda. Setelah Anda menyelesaikan pembaruan dan memperbaiki masalah di situs penahapan, Anda dapat mendorong perubahan ke situs langsung Anda.

Catatan: Jika situs Anda menggunakan paket Managed WordPress Dasar, Anda harus meningkatkan ke paket Deluxe, Ultima, atau Ecommerce untuk mengakses lingkungan pementasan. ( Berikut cara meningkatkan )

Tergantung pada versi EOL PHP situs Anda berjalan, mungkin tidak banyak yang perlu diubah agar situs Anda berfungsi dengan benar. Semakin lama versinya, semakin banyak upaya yang mungkin dilakukan untuk menyiapkan situs Anda untuk perubahan tersebut.

Jika situs Anda dijalankan dengan PHP versi 5.6, Anda harus meninjau fitur yang tidak digunakan lagi di PHP 7.0.x di PHP.net. Anda mungkin perlu melibatkan pengembang atau admin WordPress untuk memastikan situs Anda berfungsi dengan baik setelah versi PHP berubah.

Jika situs Anda dijalankan dengan PHP 7.0 - 7.3, Anda dapat menemukan informasi tentang migrasi ke versi yang lebih baru dalam lampiran di PHP.net.

Jika Anda tidak memiliki pengembang atau admin WordPress untuk membantu terkait situs Anda, Dukungan Premium WordPress layanan berbayar kami dapat membantu.

Bagaimana cara mengubah versi PHP?

Di bagian Pengaturan dasbor hosting Managed WordPress, Anda dapat mengubah versi PHP .

Apa yang terjadi jika saya tidak melakukan apa-apa?

Jika situs web Anda saat ini menggunakan versi PHP EOL dan Anda tidak bertindak, beberapa aspek situs web Anda mungkin tidak akan berfungsi jika aspek tersebut bergantung pada kode yang sudah tidak digunakan lagi dalam versi lama ini. Anda harus berkonsultasi dengan pengembang web atau admin WordPress jika tidak yakin.

Karena versi EOL PHP dihentikan, siapa pun yang masih menggunakan versi EOL akan mendapati bahwa situs mereka telah berubah ke versi PHP yang lebih baru dan stabil.